
# norootforbuild

Name:           open-xchange-upsell-multiple-gui
BuildArch:	noarch
#!BuildIgnore: post-build-checks
BuildRequires:  ant ant-nodeps open-xchange-gui
%if 0%{?suse_version} && 0%{?sles_version} < 11
%if %{?suse_version} <= 1010
# SLES10
BuildRequires:  java-1_5_0-ibm >= 1.5.0_sr9
BuildRequires:  java-1_5_0-ibm-devel >= 1.5.0_sr9
BuildRequires:  java-1_5_0-ibm-alsa >= 1.5.0_sr9
BuildRequires:  update-alternatives
%endif
%if %{?suse_version} >= 1100
BuildRequires:  java-sdk-openjdk
%endif
%if %{?suse_version} > 1010 && %{?suse_version} < 1100
BuildRequires:  java-sdk-1.5.0-sun
%endif
%endif
%if 0%{?sles_version} >= 11
# SLES11 or higher
BuildRequires:  java-1_6_0-ibm-devel
%endif

%if 0%{?rhel_version}
# libgcj seems to be installed whether we want or not and libgcj needs cairo
BuildRequires:  java-sdk-sun cairo
%endif
%if 0%{?fedora_version}
%if %{?fedora_version} > 8
BuildRequires:  java-1.6.0-openjdk-devel saxon
%endif
%endif
%if 0%{?centos_version}
BuildRequires:  java-1.6.0-openjdk-devel
%endif
Version:        6.20.7.0
%define         ox_release 15
Release:        %{ox_release}_<CI_CNT>.<B_CNT>
Group:          Applications/Productivity
License:        GNU General Public License (GPL)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#URL:            
Source:         %{name}_%{version}.orig.tar.gz
Summary:        The Open-Xchange upsell multiple GUI
Requires:       open-xchange-gui
#

%description
The Open-Xchange Upsell multiple UI

Authors:
--------
    Open-Xchange

%prep
%setup -q

%build


%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
%if 0%{?rhel_version} || 0%{?fedora_version}
%define docroot /var/www/html
%else
%define docroot /srv/www/htdocs
%endif

ant -Dguiprefix=%{docroot}/ox6 -Dlib.dir=/opt/open-xchange/lib -Ddestdir=%{buildroot} -Dprefix=/opt/open-xchange install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{docroot}/ox6/plugins/com.openexchange.upsell.multiple.gui
%{docroot}/ox6/plugins/com.openexchange.upsell.multiple.gui/templates
%{docroot}/ox6/plugins/com.openexchange.upsell.multiple.gui/img
%{docroot}/ox6/plugins/com.openexchange.upsell.multiple.gui/css
%{docroot}/ox6/plugins/com.openexchange.upsell.multiple.gui/jss
%{docroot}/ox6/plugins/com.openexchange.upsell.multiple.gui/lang
%config(noreplace) %{docroot}/ox6/plugins/com.openexchange.upsell.multiple.gui/register.js

%changelog
* Tue Feb 07 2012 - wolfgang.rosenauer@open-xchange.com
  - Bugfix #21481 - [L3] upsell window not created in direct mode
* Tue Sep 20 2011 - dennis.sieben@open-xchange.com
  - Bugfix #18664 - upsell not triggered from the new sidepanel widget
* Mon Sep 12 2011 - choeger@open-xchange.com
  - Bugfix #20290 - upsell-multiple-gui.properties in wrong package
* Thu Jul 21 2011 - stefan.preuss@open-xchange.com
 - Bugfix #19593 - [L3] ie7 upsell window not working
* Tue Jun 28 2011 - dennis.sieben@open-xchange.com
 - Bugfix #19626 - Upsell multiple should listen for new oxupdater event
* Mon Mar 21 2011 - dennis.sieben@open-xchange.com
 - Bugfix #18556 - [L3] Upsell Multiple doesn't hide flash UWA widgets
* Tue Mar 15 2011 - mkraft@open-xchange.com
 - bugfix #18530 https://bugs.open-xchange.com/show_bug.cgi?id=18530
* Mon Sep 27 2010 - mkraft@open-xchange.com
 - Initial
